Package org.apache.iotdb.jdbc

# Class IoTDBConnectionParams

java.lang.Object
org.apache.iotdb.jdbc.IoTDBConnectionParams

public class IoTDBConnectionParams extends Object

## Constructor Summary

Constructors
Constructor
Description
`IoTDBConnectionParams(String url)`

## Method Summary

Modifier and Type
Method
Description
`Charset`
`getCharset()`
`Optional<String>`
`getDb()`
`String`
`getHost()`
`String`
`getJdbcUriString()`
`int`
`getNetworkTimeout()`
`String`
`getPassword()`
`int`
`getPort()`
`String`
`getSeriesName()`
`String`
`getSqlDialect()`
`int`
`getThriftDefaultBufferSize()`
`int`
`getThriftMaxFrameSize()`
`String`
`getTimeZone()`
`String`
`getTrustStore()`
`String`
`getTrustStorePwd()`
`String`
`getUsername()`
`Constant.Version`
`getVersion()`
`boolean`
`isUseSSL()`
`void`
`setCharset(String charsetName)`
`void`
`setDb(String db)`
`void`
`setHost(String host)`
`void`
`setJdbcUriString(String jdbcUriString)`
`void`
`setNetworkTimeout(int networkTimeout)`
`void`
`setPassword(String password)`
`void`
`setPort(int port)`
`void`
`setSeriesName(String seriesName)`
`void`
`setSqlDialect(String sqlDialect)`
`void`
`setThriftDefaultBufferSize(int thriftDefaultBufferSize)`
`void`
`setThriftMaxFrameSize(int thriftMaxFrameSize)`
`void`
`setTimeZone(String timeZone)`
`void`
`setTrustStore(String trustStore)`
`void`
`setTrustStorePwd(String trustStorePwd)`
`void`
`setUsername(String username)`
`void`
`setUseSSL(boolean useSSL)`
`void`
`setVersion(Constant.Version version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IoTDBConnectionParams

public IoTDBConnectionParams(String url)

## Method Details

### getHost

public String getHost()

### setHost

public void setHost(String host)

### getPort

public int getPort()

### setPort

public void setPort(int port)

### getJdbcUriString

public String getJdbcUriString()

### setJdbcUriString

public void setJdbcUriString(String jdbcUriString)

### getSeriesName

public String getSeriesName()

### setSeriesName

public void setSeriesName(String seriesName)

### getUsername

public String getUsername()

### setUsername

public void setUsername(String username)

### getPassword

public String getPassword()

### setPassword

public void setPassword(String password)

### getThriftDefaultBufferSize

public int getThriftDefaultBufferSize()

### setThriftDefaultBufferSize

public void setThriftDefaultBufferSize(int thriftDefaultBufferSize)

### getThriftMaxFrameSize

public int getThriftMaxFrameSize()

### setThriftMaxFrameSize

public void setThriftMaxFrameSize(int thriftMaxFrameSize)

### getVersion

public Constant.Version getVersion()

### setVersion

public void setVersion(Constant.Version version)

### setNetworkTimeout

public void setNetworkTimeout(int networkTimeout)

### getNetworkTimeout

public int getNetworkTimeout()

### setTimeZone

public void setTimeZone(String timeZone)

### getTimeZone

public String getTimeZone()

### setCharset

public void setCharset(String charsetName)

### getCharset

public Charset getCharset()

### isUseSSL

public boolean isUseSSL()

### setUseSSL

public void setUseSSL(boolean useSSL)

### getTrustStore

public String getTrustStore()

### setTrustStore

public void setTrustStore(String trustStore)

### getTrustStorePwd

public String getTrustStorePwd()

### setTrustStorePwd

public void setTrustStorePwd(String trustStorePwd)

### getSqlDialect

public String getSqlDialect()

### setSqlDialect

public void setSqlDialect(String sqlDialect)

### getDb

public Optional<String> getDb()

### setDb

public void setDb(String db)